TSGGLOBAL Support sign in
Skip to page content
Browse TSG Global API docs

TSG Global API documentation Phone Numbers Manage Number for SMS & 10DLC Disable SMS on a Number

Disable SMS on a Number

On this page

Remove SMS capability from a phone number with the sms-enablement endpoint (action: delete).

Overview

This method allows you to remove SMS functionality from a number.

Authentication

Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer <api_key>"

Method

Disable SMS on a DID.

POST https://api-service.tsgglobal.world/v2/sms-enablement

Request Body

Name Type Description
did* String The DID you want to sms disable
action* String delete

Please be aware that this API endpoint has strict parameter parsing. In case an unknown or invalid parameter is provided in the request body, the request will be rejected with an error.

200: OK Success

Success

Example CURL

curl https://api-service.tsgglobal.world/v2/sms-enablement -XPOST -H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" -d '{
  "did": "12003004000",
  "action": "delete"
}'